/*
 *  预约挂号功能相关接口api
 */
(function(exports) {
    var appointmentAPI = {
        //查询医院列表
        querySimpleHospitalList: function(data){
           return httpRequest.get("basic/api/v1.0/appointment/combination/findHospitalList", {data: data});
        },
        //获取医院详情
        querySimpleHospitalById: function(data){
            return httpRequest.fzPost("baseinfo/HospitalApi/querySimpleHospitalById", data);
        },
        //查询科室列表
        querySimpleHosDeptList: function(data){
            return httpRequest.fzPost("baseinfo/HosDeptApi/querySimpleHosDeptList", data);
        },
        //获取科室详情
        querySimpleHosDeptById: function(data){
            return httpRequest.fzPost("baseinfo/HosDeptApi/querySimpleHosDeptById", data);
        },
        //查询医生列表接口
        querySimpleDoctorList: function(data){
            return httpRequest.fzPost("baseinfo/DoctorInfoApi/querySimpleDoctorList", data);
        },
        //获取医生详情
        querySimpleDoctorBySn: function(data){
            return httpRequest.fzPost("baseinfo/DoctorInfoApi/querySimpleDoctorBySn", data);
        },
        //查询排班数据
        queryGhtArrangeWater: function(data){
            return httpRequest.fzPost("gh/GhOpen/QueryGhtArrangeWater", data);
        },
        //查询号源信息
        queryNumbers: function(data){
            return httpRequest.fzPost("gh/GhOpen/QueryNumbers", data);
        },
        //查询医院挂号表单项
        getInputFormControls: function(data){
            return httpRequest.fzPost("gh/GhOpen/GetInputFormControls", data);
        },
        //创建挂号单
        createRegOrderForOpen: function(data){
            return httpRequest.fzPost("TradeMgmt/Open/createRegOrderForOpen", data);
        },
        //挂号单支付完成
        completePayNotice: function(data){
            return httpRequest.fzPost("TradeMgmt/Open/completePayNotice", data);
        },
        //取消挂号单
        cancelOrder: function(data){
            return httpRequest.fzPost("TradeMgmt/Open/cancelOrder", data);
        },
        //查询挂号单
        getRegOrderInfo: function(data){
            return httpRequest.fzPost("TradeMgmt/Open/getRegOrderInfo", data);
        },
        //查询挂号单列表
        queryRegOrderInfos: function(data){
            return httpRequest.fzPost("TradeMgmt/Open/queryRegOrderInfos", data);
        },
        //新增挂号单
        createRegistration: function(data){
            return httpRequest.post("basic/api/v1.0/appointment/registration/save", {data: data})
        },
        //修改挂号单信息
        updateRegistrationOrder: function(data){
            return httpRequest.post("basic/api/v1.0/appointment/registration/update", {data: data});
        },
        //修改挂号单状态
        updateOrderState: function(data){
            return httpRequest.post("basic/api/v1.0/appointment/registration/updateState", {data: data});
        }
    } 

    exports.appointmentAPI = appointmentAPI;
})(window)